Package ghidra.rmi.trace

# Interface TraceRmi.RequestDisassembleOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.RequestDisassemble`, `TraceRmi.RequestDisassemble.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.RequestDisassembleOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.Snap`
  `getSnap()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.SnapOrBuilder`
  `getSnapOrBuilder()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `TraceRmi.Addr`
  `getStart()`
  `.ghidra.rmi.trace.Addr start = 3;`
  `TraceRmi.AddrOrBuilder`
  `getStartOrBuilder()`
  `.ghidra.rmi.trace.Addr start = 3;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasSnap()`
  `.ghidra.rmi.trace.Snap snap = 2;`
  `boolean`
  `hasStart()`
  `.ghidra.rmi.trace.Addr start = 3;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasOid

    boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      Whether the oid field is set.

  - ### getOid

    TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      The oid.

  - ### getOidOrBuilder

    TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### hasSnap

    boolean hasSnap()
    `.ghidra.rmi.trace.Snap snap = 2;`
    Returns:
      Whether the snap field is set.

  - ### getSnap

    TraceRmi.Snap getSnap()
    `.ghidra.rmi.trace.Snap snap = 2;`
    Returns:
      The snap.

  - ### getSnapOrBuilder

    TraceRmi.SnapOrBuilder getSnapOrBuilder()
    `.ghidra.rmi.trace.Snap snap = 2;`

  - ### hasStart

    boolean hasStart()
    `.ghidra.rmi.trace.Addr start = 3;`
    Returns:
      Whether the start field is set.

  - ### getStart

    TraceRmi.Addr getStart()
    `.ghidra.rmi.trace.Addr start = 3;`
    Returns:
      The start.

  - ### getStartOrBuilder

    TraceRmi.AddrOrBuilder getStartOrBuilder()
    `.ghidra.rmi.trace.Addr start = 3;`